timer.h File Reference
`#include <stdint.h>`
`#include <time.h>`
`#include <qb/qbloop.h>`
Include dependency graph for timer.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | TIMER_HANDLE_T 1

## Functions

int | corosync_timer_add_duration (unsigned long long nanosec_duration, void *data, void(*timer_fn)(void *data), corosync_timer_handle_t *handle)
int | corosync_timer_add_absolute (unsigned long long nanoseconds_from_epoch, void *data, void(*timer_fn)(void *data), corosync_timer_handle_t *handle)
void | corosync_timer_delete (corosync_timer_handle_t handle)
unsigned long long | corosync_timer_expire_time_get (corosync_timer_handle_t handle)
unsigned long long | cs_timer_time_get (void)

## Macro Definition Documentation

## TIMER_HANDLE_T

#define TIMER_HANDLE_T 1

Definition at line 44 of file timer.h.

## Function Documentation

## corosync_timer_add_absolute()

int corosync_timer_add_absolute | ( | unsigned long long | nanoseconds_from_epoch,
|  | void * | data,
|  | void(* | timer_fn )(void *data),
|  | corosync_timer_handle_t * | handle )

extern

Definition at line 43 of file timer.c.

References cs_poll_handle_get().

## corosync_timer_add_duration()

int corosync_timer_add_duration | ( | unsigned long long | nanosec_duration,
|  | void * | data,
|  | void(* | timer_fn )(void *data),
|  | corosync_timer_handle_t * | handle )

extern

Definition at line 58 of file timer.c.

References cs_poll_handle_get().

## corosync_timer_delete()

void corosync_timer_delete | ( | corosync_timer_handle_t | handle | ) |

extern

Definition at line 72 of file timer.c.

References cs_poll_handle_get().

## corosync_timer_expire_time_get()

unsigned long long corosync_timer_expire_time_get | ( | corosync_timer_handle_t | handle | ) |

extern

Definition at line 78 of file timer.c.

References cs_poll_handle_get().

## cs_timer_time_get()

unsigned long long cs_timer_time_get | ( | void |  | ) |

extern

Definition at line 92 of file timer.c.